public static interface IPFSEndpointBuilderFactory.IPFSBuilders
| Modifier and Type | Method and Description |
|---|---|
default IPFSEndpointBuilderFactory.IPFSEndpointBuilder |
ipfs(String path)
IPFS (camel-ipfs)
Access the Interplanetary File System (IPFS).
|
default IPFSEndpointBuilderFactory.IPFSEndpointBuilder |
ipfs(String componentName,
String path)
IPFS (camel-ipfs)
Access the Interplanetary File System (IPFS).
|
default IPFSEndpointBuilderFactory.IPFSEndpointBuilder ipfs(String path)
ipfs:ipfsCmd
Path parameter: ipfsCmd (required)
The ipfs command
There are 4 enums and the value can be one of: add, cat, get, versionpath - ipfsCmddefault IPFSEndpointBuilderFactory.IPFSEndpointBuilder ipfs(String componentName, String path)
ipfs:ipfsCmd
Path parameter: ipfsCmd (required)
The ipfs command
There are 4 enums and the value can be one of: add, cat, get, versioncomponentName - to use a custom component name for the endpoint
instead of the default namepath - ipfsCmdApache Camel